ClonableImpl< DERIVED, BASE > Class Template Reference

Base class for identifying alogorithm. More...

Inheritance diagram for ClonableImpl< DERIVED, BASE >:

## Public Member Functions

Clonable * | Clone () const

## Detailed Description

### template<class DERIVED, class BASE>
class ClonableImpl< DERIVED, BASE >

Base class for identifying alogorithm.

Template Parameters

  BASE | base class from which to derive
  DERIVED | class which to clone

Definition at line 26 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h